Package Details: jellyfin 10.5.2-1

Git Clone URL: https://aur.archlinux.org/jellyfin.git (read-only, click to copy)
Package Base: jellyfin
Description: The Free Software Media System
Upstream URL: https://github.com/jellyfin/jellyfin
Licenses: GPL2
Submitter: z3ntu
Maintainer: z3ntu
Last Packager: z3ntu
Votes: 37
Popularity: 6.46
First Submitted: 2019-01-09 16:59
Last Updated: 2020-03-26 17:37

Latest Comments

1 2 3 4 Next › Last »

erkexzcx commented on 2020-03-25 10:35

Feel free to use jellyfin-bin ye'all.

Abzie commented on 2020-03-25 10:32

10.5.2 released 2 days ago: https://github.com/jellyfin/jellyfin/releases/tag/v10.5.2

IncredibleLaser commented on 2020-03-16 09:24

It doesn't build here:

==> Retrieving sources...
  -> Found jellyfin-10.5.0.tar.gz
  -> Found jellyfin-web-10.5.0.tar.gz
  -> Found jellyfin.conf
  -> Found jellyfin.service
  -> Found jellyfin.sysusers
  -> Found jellyfin.tmpfiles
==> WARNING: Skipping all source file integrity checks.
==> Extracting sources...
  -> Extracting jellyfin-10.5.0.tar.gz with bsdtar
  -> Extracting jellyfin-web-10.5.0.tar.gz with bsdtar
==> Starting build()...
yarn install v1.22.4
[1/4] Resolving packages...
[2/4] Fetching packages...
error Couldn't find the binary git

It seems git is required to build this, but it's not listed as a makedepends.

stiw47 commented on 2020-03-11 14:23

@user110: Thanks for reply. Anyway, with sudo pacman -Qm | egrep "dotnet|aspnet" I got nothing.

Following I got with pacman -Q | egrep "dotnet|aspnet"

[stiw47@archmedia ~]$ sudo pacman -Q | egrep "dotnet|aspnet"
aspnet-runtime 3.1.2.sdk102-1
dotnet-host 3.1.2.sdk102-1
dotnet-runtime 3.1.2.sdk102-1
dotnet-runtime-2.2 2.2.7.sdk109-1
dotnet-sdk 3.1.2.sdk102-1
dotnet-sdk-2.2 2.2.7.sdk109-1

Now starting a part I don't understand :) I force removed dotnet-runtime-2.2 2.2.7.sdk109-1 and dotnet-sdk-2.2 2.2.7.sdk109-1 , but this was broke Emby (I have Emby up and running on same machine)

[stiw47@archmedia ~]$ sudo pacman -R dotnet-sdk-2.2
checking dependencies...

Package (1)     Old Version     Net Change

dotnet-sdk-2.2  2.2.7.sdk109-1  -124.50 MiB

Total Removed Size:  124.50 MiB

:: Do you want to remove these packages? [Y/n] y
:: Processing package changes...
(1/1) removing dotnet-sdk-2.2                                                                                       [---------------------------------------------------------------------] 100%
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
[stiw47@archmedia ~]$ sudo pacman -R dotnet-runtime-2.2
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: removing dotnet-runtime-2.2 breaks dependency 'dotnet-runtime-2.2' required by emby-server
[stiw47@archmedia ~]$ sudo pacman -Rdd dotnet-runtime-2.2

Package (1)         Old Version     Net Change

dotnet-runtime-2.2  2.2.7.sdk109-1  -63.99 MiB

Total Removed Size:  63.99 MiB

:: Do you want to remove these packages? [Y/n] y
:: Processing package changes...
(1/1) removing dotnet-runtime-2.2                                                                                   [---------------------------------------------------------------------] 100%
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...

As I said, now I have broken Emby - service failed to start. I simple done sudo pacman -S dotnet-runtime-2.2 and voila - both Jellyfin and Emby are working now.

Thanks once again.

user110 commented on 2020-03-11 10:34

@stiw47 check installed versions of dotnet- and aspnet- sudo pacman -Qm | egrep "dotnet|aspnet". It should be the same. If you have say dotnet-runtime-3.1 and dotnet-runtime-3.0 remove the latter. Do it for any other packages (older packages) and leave only new one.

stiw47 commented on 2020-03-09 09:36

Hi,

My build was successful and, actually, it was upgrade 10.4.3-2 -> 10.5.0-1 It was done with yay, and btw, 10.4.3-2 was also installed/upgraded with yay from version before, and so on....

After successful build and install, I done 'sudo systemctl restart jellyfin' and got following:

[stiw47@archmedia jellyfin]$ sudo systemctl status jellyfin
[sudo] password for stiw47:
● jellyfin.service - Jellyfin Media Server
     Loaded: loaded (/usr/lib/systemd/system/jellyfin.service; enabled; vendor preset: disabled)
     Active: failed (Result: exit-code) since Mon 2020-03-09 10:11:42 CET; 22min ago
    Process: 2204130 ExecStart=/usr/bin/dotnet /usr/lib/jellyfin/jellyfin.dll --datadir ${JELLYFIN_DATA_DIRECTORY} --cachedir ${JELLYFIN_CACHE_DIRECTORY} ${JELLYFIN_ADD_OPTS} (code=exite>
   Main PID: 2204130 (code=exited, status=143)

Mar 09 10:11:42 archmedia dotnet[2204130]: [10:11:42] [INF] [1] Dlna: SsdpCommunicationsServer disposing _BroadcastListenSocket
Mar 09 10:11:42 archmedia dotnet[2204130]: [10:11:42] [INF] [1] App: Disposing NotificationEntryPoint
Mar 09 10:11:42 archmedia dotnet[2204130]: [10:11:42] [INF] [1] App: Disposing EntryPoint
Mar 09 10:11:42 archmedia dotnet[2204130]: [10:11:42] [INF] [2] Main: Received a SIGTERM signal, shutting down
Mar 09 10:11:42 archmedia dotnet[2204130]: ErrorMessage:
Mar 09 10:11:42 archmedia dotnet[2204130]: The request was aborted: The request was canceled.
Mar 09 10:11:42 archmedia dotnet[2204130]: Data string:
Mar 09 10:11:42 archmedia dotnet[2204130]: HTTP/1.1 200 OK
                                           Cache-Control: max-age=1900
                                           Location: http://192.168.0.1:80/RootDevice.xml
                                           Server: UPnP/1.0 UPnP/1.0 UPnP-Device-Host/1.0
                                           ST:urn:schemas-upnp-org:service:WANIPConnection:1
                                           USN: uuid:upnp-WANConnectionDevice-1_0-2caba41f020f::urn:schemas-upnp-org:service:WANIPConnection:1
                                           EXT:
Mar 09 10:11:42 archmedia systemd[1]: jellyfin.service: Main process exited, code=exited, status=143/n/a
Mar 09 10:11:42 archmedia systemd[1]: jellyfin.service: Failed with result 'exit-code'.

I tried to googling in order to solve problem, but didn't found anything useful. I think I have no enough knowledge for this, any help is appreciated. I would provide any additional needed info, thanks in advance.

cobol72 commented on 2020-02-23 18:57

I had build issues as well but, as @doctorzeus suggested, I added dotnet-sdk to the makedepends in addition to dotnet-sdk-2.2 and it worked fine. No idea why this is the case but I agree that it should be added.

user110 commented on 2020-02-16 11:25

@CountMurphy dotnet 2.2 (runtime&sdk) now flagged as out-of-date and not available to install from community. I was trying to change PKGBUILD deps of dotnet 2.1. but got error first similar to those @brando56894 had, but know receiving error

node_modules/bin/webpack: Permission denied

doctorzeus commented on 2020-02-09 04:19

This also seems to fail to build when dotnet-sdk and/or its dependencies are not installed (even though it should only require dotnet-sdk 2.2)..?

Could we possibly this as a dependency for the benefit of other users please?

xente commented on 2020-02-06 04:54

Even though the error message says version 2.1 is required, version 2.2 appears to work. Version 2.2 is in the official repos as a binary package. To build, change makedepend to dotnet-sdk-2.2 as well.